Name:		aranym
Version:	0.9.16
Release:	1%{?dist}
License:	GPLv2+
Summary:	32-bit Atari personal computer (Falcon030/TT030) virtual machine
URL:		http://aranym.org/
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_image-devel
BuildRequires:	libX11-devel
BuildRequires:	zlib-devel
BuildRequires:	mpfr-devel
BuildRequires:	libusb1-devel
Requires:	afros


%description
ARAnyM is a software only TOS clone - a virtual machine that allows you
to run TOS/FreeMiNT/MagiC operating systems and TOS/GEM applications.


%prep
%setup -q

# remove exec bit
chmod a-x src/natfeat/*.cpp src/natfeat/*.h


%build

# JIT only works on i586 and x86_64
#
%ifarch %{ix86} x86_64
%configure --disable-silent-rules --enable-jit-compiler --enable-usbhost
make depend
make %{?_smp_mflags}
mv aranym aranym-jit
make clean
%endif

%configure --disable-silent-rules --enable-fullmmu --enable-lilo --enable-usbhost
make depend
make %{?_smp_mflags}
mv aranym aranym-mmu
make clean

%configure --disable-silent-rules --enable-usbhost
make depend
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{32x32,48x48}/apps

make install DESTDIR=%{buildroot}
install -p -m 755 aranym %{buildroot}%{_bindir}
install -p -m 755 aranym-mmu %{buildroot}%{_bindir}
%ifarch %{ix86} x86_64
install -p -m 755 aranym-jit %{buildroot}%{_bindir}
%endif
install -p -m 755 aratapif %{buildroot}%{_bindir}

install -p -m 644 contrib/icon-32.png %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/aranym.png
install -p -m 644 contrib/icon-48.png %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/aranym.png

desktop-file-install 					\
	--dir %{buildroot}%{_datadir}/applications	\
	contrib/%{name}.desktop

desktop-file-install 					\
	--dir %{buildroot}%{_datadir}/applications	\
	contrib/%{name}-mmu.desktop

%ifarch %{ix86} x86_64
desktop-file-install 					\
	--dir %{buildroot}%{_datadir}/applications	\
	contrib/%{name}-jit.desktop
%endif

# cleanup
rm -rf %{buildroot}%{_docdir}/%{name}


%files
%doc AUTHORS BUGS COPYING ChangeLog FAQ NEWS README TODO doc/config
%attr(4755,root,root) %{_bindir}/aratapif
%{_bindir}/aranym
%{_bindir}/aranym-mmu

# JIT only works on i586 x86_64
#
%ifarch %{ix86} x86_64
%{_bindir}/aranym-jit
%{_mandir}/man1/aranym-jit.1*
%else
%exclude %{_mandir}/man1/aranym-jit.1*
%endif
%{_mandir}/man1/aranym.1*
%{_mandir}/man1/aranym-mmu.1*
%{_mandir}/man1/aratapif.1*
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Sun May 04 2014 Dan Horák <dan[at]danny.cz> - 0.9.16-1
- update to 0.9.16

* Sun Apr 01 2012 Dan Horák <dan[at]danny.cz> 0.9.13-1
- update to 0.9.13

* Tue Aug 02 2011 Dan Horák <dan[at]danny.cz> 0.9.11-1
- update to 0.9.11

* Tue Nov  2 2010 Dan Horák <dan[at]danny.cz> 0.9.10-2
- fixed build on EL < 6

* Sun Oct 31 2010 Dan Horák <dan[at]danny.cz> 0.9.10-1
- update to 0.9.10

* Sat Nov  8 2008 Dan Horák <dan[at]danny.cz> 0.9.7-0.1.beta
- update to 0.9.7beta

* Wed Oct 22 2008 Dan Horák <dan[at]danny.cz> 0.9.6-0.1.beta2
- update to 0.9.6beta2

* Sat Oct  6 2007 Dan Horák <dan[at]danny.cz> 0.9.5-0.1.beta
- initial Fedora version based on upstream
